<div fxLayout="column" class="mat-elevation-z0">
    <form name="form" (ngSubmit)="confirm(f.form)" #f="ngForm" novalidate fxLayout="column"
          fxLayoutAlign="space-between around">
        <div fxLayout="column" class="mat-elevation-z6 boxed-container">
            <div fxLayout="column" fxLayoutAlign="space-between center" fxFill>
                <h2 class="text-bold title center">Inserisci i dati del Report che vuoi inviare</h2>
            </div>
            <div fxLayout="row" fxLayoutAlign="space-around center" fxFill>
                <mat-form-field>
                    <mat-select placeholder="Canale" name="canale" [(ngModel)]="model.canale" required
                                (selectionChange)="getSupportedFormats($event.value); onChangeCanale($event.value)">
                        <mat-option *ngFor="let canale of canali" [value]="canale">{{ canale.nome }}</mat-option>
                    </mat-select>
                </mat-form-field>

                <mat-form-field>
                    <mat-select placeholder="Anno" name="anno" (selectionChange)="onChangeAnno($event)"
                                [(ngModel)]="model.anno" required>
                        <mat-option *ngFor="let anno of anni" [value]="anno">{{ anno }}</mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-form-field>
                    <mat-select placeholder="Mese" name="mese" [(ngModel)]="model.mese" required>
                        <mat-option *ngFor="let mese of mesi" [value]="mese.id">{{ mese.label }}</mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
        </div>
        <div fxLayout="column" class="boxed-container mat-elevation-z6">
            <h2 class="text-bold title center">Carica il tuo report</h2>
            <div fxLayout="row">
                <div fxLayout="column" class="attachElement mat-elevation-z2" fxFlex="10">
                    <button class="blacktext" mat-button [disabled]="loading"
                            (click)="inputFileSelection(inputFile)" style="margin: auto auto 0">
                        <mat-icon>attachment</mat-icon>
                    </button>
                    <span class="blacktext" style="margin:0 auto auto">Allega file</span>
                </div>

                <file-drop (onFileDrop)="dropped($event)" fxLayout="column" class="mat-elevation-z2 attachElement"
                           fxFlex="60">
                    <div fxLayout="column">
                        <mat-icon class="blacktext" style="margin: 14px auto 0">file_upload</mat-icon>
                        <span class="blacktext">Trascina qui i tuoi file</span>
                    </div>
                </file-drop>
                <div fxFlex class="mat-elevation-z2">
                    Specifiche file
                    <ul>
                        <li>formati accettati: {{ allowedExts.toString() }}</li>
                        <li>dimensione massima {{ maxSize | bytes : 0 }}</li>
                    </ul>
                </div>
            </div>
        </div>
        <div fxLayout="column" class="mat-elevation-z6 boxed-container">
            <h2 class="text-bold title center">Invia il tuo report</h2>
            <div fxLayout="row">
                <mat-list class="mat-elevation-z0" fxFlex>
                    <mat-list-item
                            *ngFor="let item of model.files; let i = index"
                            class="mat-elevation-z0 ">
                        <mat-icon class="attachment">attachment</mat-icon>
                        {{ item.name }} - {{item.size | bytes : 2}} - {{item.lastModified | date : 'dd/MM/yyyy,
                        HH:mm:ss'}}
                        <span style="flex: 1 1 auto"></span>
                        <button type="button" mat-button color="warn" (click)="deleteFile(i)"
                                matTooltip="Elimina Allegato">
                            <mat-icon>delete</mat-icon>
                        </button>
                    </mat-list-item>
                </mat-list>
                <button class="sendButton" mat-raised-button color="primary" [disabled]="loading" type="submit">
                    <span class="whitetext">Invia Report</span>
                </button>
                <div class="bottom">
                    <input type="file" #inputFile placeholder="Carica File..." style="display: none"
                           (change)="dropped($event.srcElement)">
                </div>
            </div>
        </div>
    </form>
</div>
